- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::SubpelRefine Class Reference

The SubpelRefine class takes pixel-accurate motion vectors and refines them to 1/8-pixel accuracy. More...

`#include <me_subpel.h>`

List of all members.

## Public Member Functions
| SubpelRefine (const EncoderParams &cp)
| Constructor.
| ~SubpelRefine ()
| Destructor.
void | DoSubpel (const FrameBuffer &my_buffer, int frame_num, MEData &me_data)
| Does the actual sub-pixel refinement.

## Detailed Description

The SubpelRefine class takes pixel-accurate motion vectors and refines them to 1/8-pixel accuracy.

The SubpelRefine class takes pixel-accurate motion vectors and refines them to 1/8-pixel accuracy. It uses references upconverted by a factor of 2 in each dimension, with the remaining precision gained by doing linear interpolation between values on-the-fly.

Definition at line 58 of file me_subpel.h.

## Constructor & Destructor Documentation

SubpelRefine::SubpelRefine | ( | const EncoderParams & | cp | ) |

  | Constructor. The constructor initialises the encoder parameters. Parameters:
  | cp | the parameters used for controlling encoding
Definition at line 46 of file me_subpel.cpp.

## Member Function Documentation

void SubpelRefine::DoSubpel | ( | const FrameBuffer & | my_buffer,
|  | int | frame_num,
|  | MEData & | me_data
| ) |

  | Does the actual sub-pixel refinement. Does the actual sub-pixel refinement. Parameters:
  | my_buffer | the buffer of pictures being used
  | frame_num | the frame number on which motion estimation is being performed
  | me_data | the motion vector data, into which the results will be written
Definition at line 65 of file me_subpel.cpp. References dirac::FrameParams::FSort(), dirac::FrameBuffer::GetComponent(), dirac::Frame::GetFparams(), dirac::FrameBuffer::GetFrame(), dirac::FrameBuffer::GetUpComponent(), dirac::EncoderParams::L1MELambda(), dirac::EncoderParams::L2MELambda(), dirac::FrameParams::Refs(), and dirac::MEData::SetLambdaMap(). Referenced by dirac::MotionEstimator::DoME().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_motionest/me_subpel.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_motionest/me_subpel.cpp